{
"fullsize_engine_v6_gp": {
    "information":{
        "authors":"BeamNG",
        "name":"2.6L V6 Engine",
        "value":5300,
    },
    "slotType" : "fullsize_engine",
    "slots": [
        ["type", "default", "description"],
        ["fullsize_intake","fullsize_intake_stock", "Intake", {"coreSlot":true}],
        ["fullsize_header","fullsize_exhmanifold", "Exhaust Manifolds", {"coreSlot":true}],
        ["fullsize_exhaust","fullsize_exhaust", "Exhaust Pipes"],
        ["fullsize_engine_v8_ecu","fullsize_engine_v8_ecu", "Engine Management", {"coreSlot":true}],
        ["n2o_system","", "Nitrous Oxide System"],
        ["fullsize_engine_v8_internals","fullsize_engine_v8_internals", "Engine Long Block", {"coreSlot":true}],
        ["fullsize_transmission","fullsize_transmission_4A", "Transmission"],
    ],
    "powertrain" : [
        ["type", "name", "inputName", "inputIndex"],
        ["combustionEngine", "mainEngine", "dummy", 0],
    ],
    "mainEngine": {
        "torque":[
            ["rpm", "torque"],
            [0, 0],
            [500, 163],
            [1000, 235],
            [2000, 311],
            [3000, 361],
            [4000, 375],
            [5000, 365],
            [6000, 330],
            [7000, 225],
            [8000, 125],
        ],
        //engine performance
        "idleRPM":750,
        //max rpm physically capable of
        "maxRPM":5800,
        "inertia":0.16,
        "friction":19,
        "dynamicFriction":0.035,
        "engineBrakeTorque":43,
        //"burnEfficiency":0.33,
        "burnEfficiency":[
            [0, 0.1],
            [0.05, 0.22],
            [0.4, 0.34],
            [0.7, 0.38],
            [1, 0.26],
        ],
        //fuel system
        "energyStorage": "mainTank",
        "requiredEnergyType":"gasoline",

        //exhaust
        "particulates":0.025,
        "instantAfterFireCoef": 0.5,
        "sustainedAfterFireCoef": 0.5,

        //cooling and oil system
        "thermalsEnabled":true,
        "engineBlockMaterial":"aluminum",
        "oilVolume":8,

        //engine durability
        "cylinderWallTemperatureDamageThreshold":150,
        "headGasketDamageThreshold":1500000,
        "pistonRingDamageThreshold":1500000,
        "connectingRodDamageThreshold":2000000,
        "maxTorqueRating": 570,
        "maxOverTorqueDamage": 500,

        //node beam interface
        "torqueReactionNodes:":["e1l","e2l","e4r"],
        "waterDamage": {"[engineGroup]:":["engine_intake"]},
        "radiator": {"[engineGroup]:":["radiator"]},
        "engineBlock": {"[engineGroup]:":["engine_block"]},
        "breakTriggerBeam":"engine",
        "uiName":"Engine",
        "soundConfig": "soundConfig",
        "soundConfigExhaust": "soundConfigExhaust",

        //starter motor
        "starterSample":"event:>Engine>Starter>v8_20xy_eng",
        "starterSampleExhaust":"event:>Engine>Starter>v8_20xy_exh",
        "shutOffSampleEngine":"event:>Engine>Shutoff>v8_20xy_eng",
        "shutOffSampleExhaust":"event:>Engine>Shutoff>v8_20xy_exh",
        "starterVolume":0.8,
        "starterVolumeExhaust":0.65,
        "shutOffVolumeEngine":0.5,
        "shutOffVolumeExhaust":0.5,
        "starterThrottleKillTime":0.84,
        "idleRPMStartRate":1.25,
        "idleRPMStartCoef":1,
    },
    "soundConfig": {
        "sampleName": "V8_cross_engine",
        "intakeMuffling": 1,

        "mainGain": -5.5,
        "onLoadGain":1,
        "offLoadGain":0.90,

        "maxLoadMix": 0.9,
        "minLoadMix": 0,

        "eqLowGain": 0,
        "eqLowFreq": 200,
        "eqLowWidth": 0.25,

        "eqHighGain": 0,
        "eqHighFreq": 2500,
        "eqHighWidth": 0.2,

        "lowShelfGain":6,
        "lowShelfFreq":120,

        "highShelfGain":4,
        "highShelfFreq":6000,

        "fundamentalFrequencyCylinderCount":8,
        "eqFundamentalGain": 0,
    },
    "soundConfigExhaust": {
        "sampleName": "V8_cross_exhaust",

        "mainGain": 2,
        "onLoadGain":1,
        "offLoadGain":0.90,

        "maxLoadMix": 0.9,
        "minLoadMix": 0,

        "eqLowGain": 0,
        "eqLowFreq": 150,
        "eqLowWidth": 0.2,

        "eqHighGain": 0,
        "eqHighFreq": 2500,
        "eqHighWidth": 0.2,

        "lowShelfGain":-3,
        "lowShelfFreq":90,

        "highShelfGain":0,
        "highShelfFreq":4000,

        "fundamentalFrequencyCylinderCount":8,
        "eqFundamentalGain": -2,
    },
    "vehicleController": {
        "clutchLaunchStartRPM":1200,
        "clutchLaunchTargetRPM":1600,
        //**highShiftDown can be overwritten by automatic transmissions**
        "highShiftDownRPM":[0,0,0,2400,3000,3100,3700],
        //**highShiftUp can be overwritten by intake modifications**
        "highShiftUpRPM":5600,
    },
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["gavril_v8_fullsize", ["fullsize_engine"]],
        {"deformGroup":"engbay_break", "deformMaterialBase":"fullsize", "deformMaterialDamaged":"invis"},
        ["gavril_v8_fullsize_radhose", ["fullsize_engine", "fullsize_radiator"]],
        {"deformGroup":"", "deformMaterialBase":"", "deformMaterialDamaged":""},
    ],
        "props": [
        ["func",            "mesh",                   "idRef:", "idX:", "idY:", "baseRotation",          "rotation",            "translation",         "min", "max", "offset", "multiplier"],
        ["rpmspin",             "pickup_supercharger_pulley",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
    ],

    "props": [
        ["func",            "mesh",                   "idRef:", "idX:", "idY:", "baseRotation",          "rotation",            "translation",         "min", "max", "offset", "multiplier"],
        ["rpmspin",             "gavril_v8_fullsize_pulley1",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley2",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,       -1],
        ["rpmspin",             "gavril_v8_fullsize_pulley3",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley4",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley5",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley6",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -1440,  1440, 0,        4],

    ],

    "nodes": [
         ["id", "posX", "posY", "posZ"],
         //4.5L V8 Engine
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"selfCollision":false},
         {"collision":true},
         {"group":"fullsize_engine"},
         {"nodeWeight":27},
         {"engineGroup":"engine_block"},
         ["e1r", -0.13, -1.15, 0.32, {"chemEnergy":1000,"burnRate":0.39,"flashPoint":700,"specHeat": 0.1,"selfIgnitionCoef":false,"smokePoint":650,"baseTemp":"thermals","conductionRadius":0.2}],
         ["e1l", 0.13, -1.15, 0.32, {"chemEnergy":1000,"burnRate":0.39,"flashPoint":700,"specHeat": 0.1,"selfIgnitionCoef":false,"smokePoint":650,"baseTemp":"thermals","conductionRadius":0.2, "isExhaust":"mainEngine"}],
         ["e2r", -0.13, -1.74, 0.32, {"isExhaust":"mainEngine"}],
         ["e2l", 0.13, -1.74, 0.32],
         {"engineGroup":["engine_block","engine_intake"]},
         {"group":["fullsize_engine","fullsize_engine_intake"]},
         ["e3r", -0.32, -1.15, 0.74],
         ["e3l", 0.32, -1.15, 0.74],
         ["e4r", -0.32, -1.74, 0.74],
         ["e4l", 0.32, -1.74, 0.74],
         {"chemEnergy":false,"burnRate":false,"flashPoint":false,"specHeat":false,"smokePoint":false,"selfIgnitionCoef":false,"baseTemp":false,"conductionRadius":false},
         {"engineGroup":""},
         {"group":""},
         //engine mount nodes
         ["em1r", -0.27, -1.5, 0.5, {"nodeWeight":1.85}],
         ["em1l", 0.27, -1.5, 0.5, {"nodeWeight":1.85}],
    ],
    "beams": [
          ["id1:", "id2:"],
          {"beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          {"beamSpring":20001000,"beamDamp":500},
          {"beamDeform":250000,"beamStrength":"FLT_MAX"},
          //engine
          ["e1r","e1l"],
          ["e2r","e2l", {"isExhaust":"mainEngine"}],
          ["e3r","e3l"],
          ["e4r","e4l"],

          ["e1r","e2r"],
          ["e1l","e2l"],
          ["e3r","e4r"],
          ["e3l","e4l"],

          ["e1r","e3r"],
          ["e1l","e3l"],
          ["e2r","e4r"],
          ["e2l","e4l"],

          ["e2r","e3r"],
          ["e2l","e3l"],
          ["e2r","e3l"],
          ["e2l","e3r"],

          ["e1r","e4r"],
          ["e1l","e4l"],
          ["e1r","e4l"],
          ["e1l","e4r"],

          ["e1r","e2l"],
          ["e1l","e2r"],
          ["e3r","e4l"],
          ["e3l","e4r"],

          ["e1r","e3l"],
          ["e1l","e3r"],
          ["e2r","e4l"],
          ["e2l","e4r"],

          //engine mount nodes
          {"beamSpring":3145000,"beamDamp":138.75},
          {"beamDeform":90000,"beamStrength":"FLT_MAX"},
          ["em1r","e3l"],
          ["em1r","e3r"],
          ["em1r","e4l"],
          ["em1r","e4r"],
          ["em1r", "e1r"],
          ["em1r", "e1l"],
          ["em1r", "e2l"],
          ["em1r", "e2r"],

          ["em1l","e3l"],
          ["em1l","e3r"],
          ["em1l","e4l"],
          ["em1l","e4r"],
          ["em1l", "e1r"],
          ["em1l", "e1l"],
          ["em1l", "e2l"],
          ["em1l", "e2r"],

          //radtube
          {"beamSpring":92500,"beamDamp":23.13},
          {"beamDeform":3000,"beamStrength":7000},
          {"optional":true},
          ["e2r","rad2"],
          ["e2l","rad2"],
          ["e4r","rad2"],
          ["e4l","rad2"],
          {"optional":false},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
},
"fullsize_engine_large": {
    "information":{
        "authors":"BeamNG",
        "name":"5.5L V8 Engine",
        "value":7900,
    },
    "slotType" : "fullsize_engine",
    "slots": [
        ["type", "default", "description"],
        ["fullsize_intake","fullsize_intake_stock", "Intake", {"coreSlot":true}],
        ["fullsize_header","fullsize_exhmanifold", "Exhaust Manifolds", {"coreSlot":true}],
        ["fullsize_exhaust","fullsize_exhaust", "Exhaust Pipes"],
        ["fullsize_engine_v8_ecu","fullsize_engine_v8_ecu", "Engine Management", {"coreSlot":true}],
        ["n2o_system","", "Nitrous Oxide System"],
        ["fullsize_engine_v8_internals","fullsize_engine_v8_internals", "Engine Long Block", {"coreSlot":true}],
        ["fullsize_transmission","fullsize_transmission_4A", "Transmission"],
    ],
    "powertrain" : [
        ["type", "name", "inputName", "inputIndex"],
        ["combustionEngine", "mainEngine", "dummy", 0],
    ],
    "mainEngine": {
        "torque":[
            ["rpm", "torque"],
            [0, 0],
            [500, 183],
            [1000, 270],
            [2000, 379],
            [3000, 423],
            [4000, 426],
            [5000, 401],
            [6000, 345],
            [7000, 245],
            [8000, 155],
        ],

        //engine performance
        "idleRPM":750,
        //max physically capable
        "maxRPM":5800,
        "inertia":0.20,
        "friction":19,
        "dynamicFriction":0.035,
        "engineBrakeTorque":52,
        //"burnEfficiency":0.32,
        "burnEfficiency":[
            [0, 0.1],
            [0.05, 0.21],
            [0.4, 0.33],
            [0.7, 0.36],
            [1, 0.24],
        ],
        //fuel system
        "energyStorage": "mainTank",
        "requiredEnergyType":"gasoline",

        //exhaust
        "particulates":0.025,
        "instantAfterFireCoef": 0.5,
        "sustainedAfterFireCoef": 0.5,

        //cooling and oil system
        "thermalsEnabled":true,
        "engineBlockMaterial":"aluminum",
        "oilVolume":8,

        //engine durability
        "cylinderWallTemperatureDamageThreshold":150,
        "headGasketDamageThreshold":1500000,
        "pistonRingDamageThreshold":1500000,
        "connectingRodDamageThreshold":2000000,
        "maxTorqueRating": 590,
        "maxOverTorqueDamage": 500,

        //node beam interface
        "torqueReactionNodes:":["e1l","e2l","e4r"],
        "waterDamage": {"[engineGroup]:":["engine_intake"]},
        "radiator": {"[engineGroup]:":["radiator"]},
        "engineBlock": {"[engineGroup]:":["engine_block"]},
        "breakTriggerBeam":"engine",
        "uiName":"Engine",
        "soundConfig": "soundConfig",
        "soundConfigExhaust": "soundConfigExhaust",

        //starter motor
        "starterSample":"event:>Engine>Starter>v8_20xy_eng",
        "starterSampleExhaust":"event:>Engine>Starter>v8_20xy_exh",
        "shutOffSampleEngine":"event:>Engine>Shutoff>v8_20xy_eng",
        "shutOffSampleExhaust":"event:>Engine>Shutoff>v8_20xy_exh",
        "starterVolume":0.8,
        "starterVolumeExhaust":0.65,
        "shutOffVolumeEngine":0.5,
        "shutOffVolumeExhaust":0.5,
        "starterThrottleKillTime":0.84,
        "idleRPMStartRate":1.25,
        "idleRPMStartCoef":1,
    },
    "soundConfig": {
        "sampleName": "V8_cross_engine",
        "intakeMuffling": 1,

        "mainGain": -5,
        "onLoadGain":1,
        "offLoadGain":0.88,

        "maxLoadMix": 0.9,
        "minLoadMix": 0,

        "eqLowGain": 0,
        "eqLowFreq": 200,
        "eqLowWidth": 0.25,

        "eqHighGain": 0,
        "eqHighFreq": 2500,
        "eqHighWidth": 0.2,

        "lowShelfGain":6,
        "lowShelfFreq":120,

        "highShelfGain":4,
        "highShelfFreq":6000,

        "fundamentalFrequencyCylinderCount":8,
        "eqFundamentalGain": 0,
    },
    "soundConfigExhaust": {
        "sampleName": "V8_cross_exhaust",

        "mainGain": 2.5,
        "onLoadGain":1,
        "offLoadGain":0.88,

        "maxLoadMix": 0.9,
        "minLoadMix": 0,

        "eqLowGain": 2,
        "eqLowFreq": 150,
        "eqLowWidth": 0.2,

        "eqHighGain": 0,
        "eqHighFreq": 2500,
        "eqHighWidth": 0.2,

        "lowShelfGain":-3,
        "lowShelfFreq":90,

        "highShelfGain":2,
        "highShelfFreq":4000,

        "fundamentalFrequencyCylinderCount":8,
        "eqFundamentalGain": -2,
    },
    "vehicleController": {
        "clutchLaunchStartRPM":1200,
        "clutchLaunchTargetRPM":1600,
        //**highShiftDown can be overwritten by automatic transmissions**
        "highShiftDownRPM":[0,0,0,2400,3000,3100,3700],
        //**highShiftUp can be overwritten by intake modifications**
        "highShiftUpRPM":5600,
    },
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["gavril_v8_fullsize", ["fullsize_engine"]],
        {"deformGroup":"engbay_break", "deformMaterialBase":"fullsize", "deformMaterialDamaged":"invis"},
        ["gavril_v8_fullsize_radhose", ["fullsize_engine", "fullsize_radiator"]],
        {"deformGroup":"", "deformMaterialBase":"", "deformMaterialDamaged":""},
    ],
    "props": [
        ["func",            "mesh",                   "idRef:", "idX:", "idY:", "baseRotation",          "rotation",            "translation",         "min", "max", "offset", "multiplier"],
        ["rpmspin",             "gavril_v8_fullsize_pulley1",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley2",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        -1],
        ["rpmspin",             "gavril_v8_fullsize_pulley3",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley4",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley5",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
        ["rpmspin",             "gavril_v8_fullsize_pulley6",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
    ],
    "nodes": [
         ["id", "posX", "posY", "posZ"],
         //5.5L V8 Engine
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"selfCollision":false},
         {"collision":true},
         {"group":"fullsize_engine"},
         {"nodeWeight":30},
         {"engineGroup":"engine_block"},
         ["e1r", -0.13, -1.15, 0.32, {"chemEnergy":1000,"burnRate":0.39,"flashPoint":700,"specHeat": 0.1,"selfIgnitionCoef":false,"smokePoint":650,"baseTemp":"thermals","conductionRadius":0.2}],
         ["e1l", 0.13, -1.15, 0.32, {"chemEnergy":1000,"burnRate":0.39,"flashPoint":700,"specHeat": 0.1,"selfIgnitionCoef":false,"smokePoint":650,"baseTemp":"thermals","conductionRadius":0.2}],
         ["e2r", -0.13, -1.74, 0.32, {"isExhaust":"mainEngine"}],
         ["e2l", 0.13, -1.74, 0.32],
         {"engineGroup":["engine_block","engine_intake"]},
         {"group":["fullsize_engine","fullsize_engine_intake"]},
         ["e3r", -0.32, -1.15, 0.74],
         ["e3l", 0.32, -1.15, 0.74],
         ["e4r", -0.32, -1.74, 0.74],
         ["e4l", 0.32, -1.74, 0.74],
         {"chemEnergy":false,"burnRate":false,"flashPoint":false,"specHeat":false,"smokePoint":false,"selfIgnitionCoef":false,"baseTemp":false,"conductionRadius":false},
         {"engineGroup":""},
         {"group":""},
         //engine mount nodes
         ["em1r", -0.27, -1.5, 0.5, {"nodeWeight":1.85}],
         ["em1l", 0.27, -1.5, 0.5, {"nodeWeight":1.85}],
    ],
    "beams": [
          ["id1:", "id2:"],
          {"beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          {"beamSpring":20001000,"beamDamp":500},
          {"beamDeform":250000,"beamStrength":"FLT_MAX"},
          //engine
          ["e1l","e1r"],
          ["e2r","e2l", {"isExhaust":"mainEngine"}],
          ["e3r","e3l"],
          ["e4r","e4l"],

          ["e1r","e2r"],
          ["e1l","e2l"],
          ["e3r","e4r"],
          ["e3l","e4l"],

          ["e1r","e3r"],
          ["e1l","e3l"],
          ["e2r","e4r"],
          ["e2l","e4l"],

          ["e2r","e3r"],
          ["e2l","e3l"],
          ["e2r","e3l"],
          ["e2l","e3r"],

          ["e1r","e4r"],
          ["e1l","e4l"],
          ["e1r","e4l"],
          ["e1l","e4r"],

          ["e1r","e2l"],
          ["e1l","e2r"],
          ["e3r","e4l"],
          ["e3l","e4r"],

          ["e1r","e3l"],
          ["e1l","e3r"],
          ["e2r","e4l"],
          ["e2l","e4r"],

          //engine mount nodes
          {"beamSpring":3145000,"beamDamp":138.75},
          {"beamDeform":90000,"beamStrength":"FLT_MAX"},
          ["em1r","e3l"],
          ["em1r","e3r"],
          ["em1r","e4l"],
          ["em1r","e4r"],
          ["em1r", "e1r"],
          ["em1r", "e1l"],
          ["em1r", "e2l"],
          ["em1r", "e2r"],

          ["em1l","e3l"],
          ["em1l","e3r"],
          ["em1l","e4l"],
          ["em1l","e4r"],
          ["em1l", "e1r"],
          ["em1l", "e1l"],
          ["em1l", "e2l"],
          ["em1l", "e2r"],

          //radtube
          {"beamSpring":92500,"beamDamp":23.13},
          {"beamDeform":3000,"beamStrength":7000},
          {"optional":true},
          ["e2r","rad2"],
          ["e2l","rad2"],
          ["e4r","rad2"],
          ["e4l","rad2"],
          {"optional":false},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
},
"fullsize_exhmanifold": {
    "information":{
        "authors":"BeamNG",
        "name":"Exhaust Manifolds",
        "value":350,
    },
    "slotType" : "fullsize_header",
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["gavril_v8_fullsize_headers", ["fullsize_engine", "fullsize_header"]],
    ],
    "nodes":[
         ["id", "posX", "posY", "posZ"],
         {"selfCollision":false},
         {"collision":true},
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"nodeWeight":5.0},
         {"group":"fullsize_header"},
         ["exm1r", -0.26, -1.14, 0.26, {"afterFireAudioCoef":1,"afterFireVisualCoef":1, "exhaustAudioMufflingCoef":1, "exhaustAudioGainChange":0}],
         ["exm1l", 0.26, -1.14, 0.26, {"afterFireAudioCoef":1,"afterFireVisualCoef":1, "exhaustAudioMufflingCoef":1, "exhaustAudioGainChange":0}],
         {"group":"none"},
    ],
    "beams": [
          ["id1:", "id2:"],
          {"deformLimitExpansion":1.2},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          {"beamSpring":13875930,"beamDamp":138.75},
          {"beamDeform":90000,"beamStrength":"FLT_MAX"},

          //exhaust manifold
          ["exm1r","e3l"],
          ["exm1r","e3r"],
          ["exm1r","e4l"],
          ["exm1r","e4r"],
          ["exm1r", "e1r"],
          ["exm1r", "e1l"],
          ["exm1r", "e2l"],
          ["exm1r", "e2r", {"isExhaust":"mainEngine"}],

          ["exm1l","e3l"],
          ["exm1l","e3r"],
          ["exm1l","e4l"],
          ["exm1l","e4r"],
          ["exm1l", "e1r"],
          ["exm1l", "e1l"],
          ["exm1l", "e2l", {"isExhaust":"mainEngine"}],
          ["exm1l", "e2r"],

          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
},
"fullsize_exhmanifold_derby": {
    "information":{
        "authors":"BeamNG",
        "name":"Exhaust Stacks",
        "value":160,
    },
    "slotType" : "fullsize_header",
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["gavril_v8_fullsize_headers_stack", ["fullsize_engine", "fullsize_header"]],
    ],
    "nodes":[
         ["id", "posX", "posY", "posZ"],
         {"selfCollision":false},
         {"collision":true},
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"nodeWeight":5.0},
         {"group":"fullsize_header"},
         ["exm2r", -0.33, -1.42, 0.6, {"collision":false, "selfCollision":false}],
         ["exm2l", 0.33, -1.42, 0.6,, {"collision":false, "selfCollision":false}],
         ["exm3r", -0.33, -1.42, 1.2, {"afterFireAudioCoef":1,"afterFireVisualCoef":1, "exhaustAudioMufflingCoef":1, "exhaustAudioGainChange":0}],
         ["exm3l", 0.33, -1.42, 1.2, {"afterFireAudioCoef":1,"afterFireVisualCoef":1, "exhaustAudioMufflingCoef":1, "exhaustAudioGainChange":0}],
         {"group":"none"},
    ],
    "beams": [
          ["id1:", "id2:"],
          {"deformLimitExpansion":1.2},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          {"beamSpring":9875930,"beamDamp":138.75},
          {"beamDeform":90000,"beamStrength":"FLT_MAX"},

          //exhaust manifold
          ["e2r", "exm2r", {"isExhaust":"mainEngine"}],
          ["exm2r", "exm3r", {"isExhaust":"mainEngine"}],
          ["e2l", "exm2l", {"isExhaust":"mainEngine"}],
          ["exm2l", "exm3l", {"isExhaust":"mainEngine"}],

          ["exm2r", "e1r"],
          ["exm2r", "e3r"],
          ["exm2r", "e4r"],
          ["exm2r", "e1l"],
          ["exm2r", "e2l"],
          ["exm2r", "e3l"],
          ["exm2r", "e4l"],

          ["exm2l", "e1r"],
          ["exm2l", "e3r"],
          ["exm2l", "e4r"],
          ["exm2l", "e1l"],
          ["exm2l", "e2r"],
          ["exm2l", "e3l"],
          ["exm2l", "e4l"],

          {"beamDeform":20000,"beamStrength":"FLT_MAX"},
          ["exm3r", "e3r"],
          ["exm3r", "e3l"],
          ["exm3r", "e4l"],
          ["exm3r", "e4r"],
          ["exm3l", "e3r"],
          ["exm3l", "e3l"],
          ["exm3l", "e4l"],
          ["exm3l", "e4r"],
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
    "triangles": [
          ["id1:","id2:","id3:"],
          {"dragCoef":1},
          {"triangleType":"NONCOLLIDABLE"},
          ["exm3l", "e4l", "e3l"],
          ["exm3r", "e3r", "e4r"],
          {"triangleType":"NORMALTYPE"},
    ],
},
"fullsize_engine_v8_ecu": {
    "information":{
        "authors":"BeamNG",
        "name":"Stock ECU",
        "value":750,
    },
    "slotType" : "fullsize_engine_v8_ecu",
    "mainEngine":{
        "revLimiterRPM":5800,
        "revLimiterType":"rpmDrop",
        "revLimiterRPMDrop":250,
    },
},
"fullsize_engine_v8_ecu_race": {
    "information":{
        "authors":"BeamNG",
        "name":"Adjustable Race ECU",
        "value":3600,
    },
    "slotType" : "fullsize_engine_v8_ecu",
    "variables": [
        ["name", "type", "unit", "category", "default", "min", "max", "title", "description"],
        ["$revLimiterRPM", "range", "rpm", "Engine", 5800, 3500, 6800, "RPM Limit", "RPM where the rev limiter prevents further revving", {"stepDis":50}],
        ["$revLimiterCutTime", "range", "s", "Engine", 0.15, 0.01, 0.5, "RPM Limit Cut Time", "How fast the rev limiter cycles", {"stepDis":0.01}],
    ],
    "controller": [
        ["fileName"],
        ["twoStepLaunch", {"rpmLimit":4000}],
    ],
    "mainEngine":{
        "$+idleRPM":100,
        "revLimiterRPM":"$revLimiterRPM",
        "revLimiterType":"timeBased",
        "revLimiterCutTime":"$revLimiterCutTime",
    },
    "vehicleController": {
        "highShiftUpRPM":"$=$revLimiterRPM - 200",
    },
},
"fullsize_engine_v8_internals": {
    "information":{
        "authors":"BeamNG",
        "name":"Stock Long Block",
        "value":300,
    },
    "slotType" : "fullsize_engine_v8_internals",
    "mainEngine":{
    },
},
"fullsize_engine_v8_internals_heavy": {
    "information":{
        "authors":"BeamNG",
        "name":"Heavy Duty Long Block",
        "value":1900,
    },
    "slotType" : "fullsize_engine_v8_internals",
    "mainEngine":{
        //max rpm physically capable of
        "$+maxRPM":200,
        "$*friction":1.12,
        "$*dynamicFriction":1.1,
        "$*inertia":1.23,
        "$*engineBrakeTorque":1.2,
        //engine durability
        "cylinderWallTemperatureDamageThreshold":175,
        "headGasketDamageThreshold":1700000,
        "pistonRingDamageThreshold":1700000,
        "connectingRodDamageThreshold":2200000,
        "$*maxTorqueRating": 2.6,
        "$*maxOverTorqueDamage": 2.0,
    },
},
"fullsize_engine_v8_internals_ultra": {
    "information":{
        "authors":"BeamNG",
        "name":"Ultra Heavy Duty Long Block",
        "value":3100,
    },
    "slotType" : "fullsize_engine_v8_internals",
    "mainEngine":{
        //max rpm physically capable of
        "$+maxRPM":200,
        "$*friction":1.25,
        "$*dynamicFriction":1.18,
        "$*inertia":1.35,
        "$*engineBrakeTorque":1.25,
        //engine durability
        "cylinderWallTemperatureDamageThreshold":185,
        "headGasketDamageThreshold":1700000,
        "pistonRingDamageThreshold":1700000,
        "connectingRodDamageThreshold":2200000,
        "$*maxTorqueRating": 3.8,
        "$*maxOverTorqueDamage": 2.0,
    },
},
"fullsize_engine_v8_internals_stage1": {
    "information":{
        "authors":"BeamNG",
        "name":"Stage 1 Performance Long Block",
        "value":2400,
    },
    "slotType" : "fullsize_engine_v8_internals",
    "mainEngine":{
        "torqueModMult":[
            ["rpm", "torque"],
            [0,       1],
            [1000, 0.95],
            [2000, 0.91],
            [3000, 0.99],
            [4000, 1.11],
            [5000, 1.22],
            [6000, 1.4],
            [7000, 1.5],
        ],
        //max rpm physically capable of
        "$+maxRPM":700,
        "$*engineBrakeTorque":1.33,
        //engine durability
        "cylinderWallTemperatureDamageThreshold":170,
        //"maxTorqueRating": 1360,
        //"maxOverTorqueDamage": 250,
        "$*maxTorqueRating": 2.4,
        "$*maxOverTorqueDamage": 1.5,
    },
},
"fullsize_engine_v8_internals_stage2": {
    "information":{
        "authors":"BeamNG",
        "name":"Stage 2 Performance Long Block",
        "value":3600,
    },
    "slotType" : "fullsize_engine_v8_internals",
    "mainEngine":{
        "torqueModMult":[
            ["rpm", "torque"],
            [0,       1],
            [1000, 0.90],
            [3000, 1.16],
            [4000, 1.5],
            [5000, 1.78],
            [6000, 1.99],
            [7000, 2.15],
        ],
        //max rpm physically capable of
        "$+maxRPM":1000,
        "$*engineBrakeTorque":1.55,
        //engine durability
        "cylinderWallTemperatureDamageThreshold":180,
        //"maxTorqueRating": 1620,
        //"maxOverTorqueDamage": 250,
        "$*maxTorqueRating": 2.75,
        "$*maxOverTorqueDamage": 1.5,
    },
},
"fullsize_intake_stock": {
    "information":{
        "authors":"BeamNG",
        "name":"Stock Intake",
        "value":450,
    },
    "slotType" : "fullsize_intake",
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["fullsize_intake_stock", ["fullsize_engine_intake","fullsize_airbox"]],
        ["fullsize_intake_stock_belts", ["fullsize_engine"]],
    ],
    "nodes": [
         ["id", "posX", "posY", "posZ"],
         {"selfCollision":false},
         {"collision":true},
         //--Stock Intake
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"nodeWeight":4},
         {"group":["fullsize_engine_intake"]},
         ["intake1", 0.1, -1.4, 0.84],
         {"group":["fullsize_airbox"]},
         {"nodeWeight":2},
         {"selfCollision":true},
         ["intake2", 0.6, -1.97, 0.8],
         {"engineGroup":""},
         {"group":""},
    ],
    "beams": [
          ["id1:", "id2:"],
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          //--Stock Intake
          {"beamSpring":2001000,"beamDamp":250},
          {"beamDeform":150000,"beamStrength":"FLT_MAX"},
          ["intake1", "e3r"],
          ["intake1", "e3l"],
          ["intake1", "e4r"],
          ["intake1", "e4l"],
          ["intake1", "e2l"],
          ["intake1", "e2r"],

          {"beamSpring":501000,"beamDamp":150},
          {"beamDeform":4500,"beamStrength":"FLT_MAX"},
          ["intake2", "e4l"],
          ["intake2", "e3l"],
          ["intake2", "e2l"],
          ["intake2", "e1l"],
          ["intake2", "e4r"],
          {"optional":true},
          {"beamDeform":4500,"beamStrength":7000},
          ["intake2", "s2l"],
          ["intake2", "s2ll"],
          ["intake2", "s1l"],
          ["intake2", "s1ll"],
          {"optional":false},

          //mesh break beams
          {"beamPrecompression":0.8, "beamType":"|SUPPORT","beamLongBound":0.8},
          {"beamSpring":10000,"beamDamp":0},
          {"beamDeform":500,"beamStrength":1000},
          ["intake1", "intake2"],
          ["intake2", "e3l"],
          ["intake2", "e4l"],
          {"deformGroup":""},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
},
"fullsize_supercharger_stage1": {
    "information":{
        "authors":"BeamNG",
        "name":"Stage 1 Supercharger",
        "value":4100,
    },
    "slotType" : "fullsize_intake",
    "supercharger": {
        "gearRatio":1.6,
        "clutchEngageRPM":0,
        "pressureRatePSI":250,
        "pressurePSIPer1kRPM":2.0,
        "crankLossPer1kRPM":0.015,
        "type":"roots",
        "whineLoopEvent": "event:>Vehicle>Forced_Induction>Supercharger_01>supercharger",
        "whineVolumePerPSI": 0.02,
        "whinePitchPer10kRPM": 0.60,
        "boostController":[
            //throttle in %, factor
            [0,     0.2],
            [100,     1],
        ],
    },
    "mainEngine": {
        //supercharger name
        "supercharger":"supercharger",
        "$*instantAfterFireCoef": 1.5,
        "$*sustainedAfterFireCoef": 1.5,
    },
    "soundConfig": {
        "$+maxLoadMix": 0.2,
        "$+intakeMuffling":-0.5,
        "$+mainGain":1,
    },
    "vehicleController": {
    },
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["fullsize_supercharger", ["fullsize_engine_intake"]],
        ["fullsize_supercharger_belts", ["fullsize_engine"]],
    ],
    "props": [
        ["func",            "mesh",                   "idRef:", "idX:", "idY:", "baseRotation",          "rotation",            "translation",         "min", "max", "offset", "multiplier"],
        ["rpmspin",             "fullsize_supercharger_pulley",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
    ],
    "nodes": [
         ["id", "posX", "posY", "posZ"],
         {"selfCollision":false},
         {"collision":true},
         //--Supercharger
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"nodeWeight":4},
         {"group":["fullsize_engine","fullsize_engine_intake"]},
         ["sc1r", -0.12, -1.21, 0.88],
         ["sc1l",  0.12, -1.21, 0.88],
         ["sc2r", -0.12, -1.75, 0.88],
         ["sc2l",  0.12, -1.75, 0.88],
         {"group":["fullsize_engine_intake"]},
         {"nodeWeight":2},
         ["intake2", 0.51, -1.86, 0.80],
         {"engineGroup":""},
         {"group":""},
    ],
    "beams": [
          ["id1:", "id2:"],
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          //--Supercharger
          {"beamSpring":5001000,"beamDamp":250},
          {"beamDeform":150000,"beamStrength":"FLT_MAX"},
          ["sc1l", "sc1r"],
          ["sc2l", "sc2r"],
          ["sc1r", "sc2r"],
          ["sc1l", "sc2l"],
          ["sc1r", "sc2l"],
          ["sc1l", "sc2r"],
          ["sc2l", "e4l"],
          ["sc1l", "e3l"],
          ["sc1r", "e3r"],
          ["sc2r", "e4r"],
          ["sc2l", "e3l"],
          ["sc1l", "e4l"],
          ["sc2r", "e3r"],
          ["sc1r", "e4r"],
          ["sc2r", "e4l"],
          ["sc2l", "e4r"],
          ["sc1r", "e3l"],
          ["sc1l", "e3r"],

          ["sc1l", "e1l"],
          ["sc1r", "e1r"],
          ["sc2r", "e2r"],
          ["sc2l", "e2l"],

          {"beamSpring":101000,"beamDamp":500},
          {"beamDeform":2500,"beamStrength":"FLT_MAX"},
          ["intake2", "e3l"],
          ["intake2", "e4r"],
          ["intake2", "sc1l"],
          ["intake2", "sc2l"],

          //mesh break beams
          {"beamPrecompression":0.85, "beamType":"|SUPPORT","beamLongBound":0.7},
          {"beamSpring":20000,"beamDamp":0},
          {"beamDeform":500,"beamStrength":1000},
          ["intake2", "e4l"],
          ["intake2", "e4r"],
          ["intake2", "e3l"],
          {"deformGroup":""},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
    "triangles": [
            ["id1:","id2:","id3:"],
            {"groundModel":"metal"},
            {"dragCoef":0},
            ["sc2r", "sc2l", "sc1l"],
            ["sc1l", "sc1r", "sc2r"],
    ],
},
"fullsize_supercharger_stage2": {
    "information":{
        "authors":"BeamNG",
        "name":"Stage 2 Supercharger",
        "value":6700,
    },
    "slotType" : "fullsize_intake",
    "supercharger": {
        "gearRatio":1.65,
        "clutchEngageRPM":0,
        "pressureRatePSI":250,
        "pressurePSIPer1kRPM":4.1,
        "crankLossPer1kRPM":0.025,
        "type":"roots",
        "whineLoopEvent": "event:>Vehicle>Forced_Induction>Supercharger_01>supercharger",
        "whineVolumePerPSI": 0.025,
        "whinePitchPer10kRPM": 0.65,
        "boostController":[
            //throttle in %, factor
            [0,     0.2],
            [100,     1],
        ],
    },
    "mainEngine": {
        //supercharger name
        "supercharger":"supercharger",
        "$*instantAfterFireCoef": 2,
        "$*sustainedAfterFireCoef": 2,
    },
    "soundConfig": {
        "$+maxLoadMix": 0.2,
        "$+intakeMuffling":-0.5,
        "$+mainGain":1.5,
    },
    "vehicleController": {
        "revMatchThrottle":0.3,
    },
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["fullsize_supercharger", ["fullsize_engine_intake"]],
        ["fullsize_supercharger_belts", ["fullsize_engine"]],
    ],
    "props": [
        ["func",            "mesh",                   "idRef:", "idX:", "idY:", "baseRotation",          "rotation",            "translation",         "min", "max", "offset", "multiplier"],
        ["rpmspin",             "fullsize_supercharger_pulley",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
    ],
    "nodes": [
         ["id", "posX", "posY", "posZ"],
         {"selfCollision":false},
         {"collision":true},
         //--Supercharger
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"nodeWeight":4},
         {"group":["fullsize_engine","fullsize_engine_intake"]},
         ["sc1r", -0.12, -1.21, 0.88],
         ["sc1l",  0.12, -1.21, 0.88],
         ["sc2r", -0.12, -1.75, 0.88],
         ["sc2l",  0.12, -1.75, 0.88],
         {"group":["fullsize_engine_intake"]},
         {"nodeWeight":2},
         ["intake2", 0.51, -1.86, 0.80],
         {"engineGroup":""},
         {"group":""},
    ],
    "beams": [
          ["id1:", "id2:"],
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          //--Supercharger
          {"beamSpring":5001000,"beamDamp":250},
          {"beamDeform":150000,"beamStrength":"FLT_MAX"},
          ["sc1l", "sc1r"],
          ["sc2l", "sc2r"],
          ["sc1r", "sc2r"],
          ["sc1l", "sc2l"],
          ["sc1r", "sc2l"],
          ["sc1l", "sc2r"],
          ["sc2l", "e4l"],
          ["sc1l", "e3l"],
          ["sc1r", "e3r"],
          ["sc2r", "e4r"],
          ["sc2l", "e3l"],
          ["sc1l", "e4l"],
          ["sc2r", "e3r"],
          ["sc1r", "e4r"],
          ["sc2r", "e4l"],
          ["sc2l", "e4r"],
          ["sc1r", "e3l"],
          ["sc1l", "e3r"],

          ["sc1l", "e1l"],
          ["sc1r", "e1r"],
          ["sc2r", "e2r"],
          ["sc2l", "e2l"],

          {"beamSpring":101000,"beamDamp":500},
          {"beamDeform":2500,"beamStrength":"FLT_MAX"},
          ["intake2", "e3l"],
          ["intake2", "e4r"],
          ["intake2", "sc1l"],
          ["intake2", "sc2l"],

          //mesh break beams
          {"beamPrecompression":0.85, "beamType":"|SUPPORT","beamLongBound":0.7},
          {"beamSpring":20000,"beamDamp":0},
          {"beamDeform":500,"beamStrength":1000},
          ["intake2", "e4l"],
          ["intake2", "e4r"],
          ["intake2", "e3l"],
          {"deformGroup":""},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
    "triangles": [
            ["id1:","id2:","id3:"],
            {"groundModel":"metal"},
            {"dragCoef":0},
            ["sc2r", "sc2l", "sc1l"],
            ["sc1l", "sc1r", "sc2r"],
    ],
},
"fullsize_supercharger_stage3": {
    "information":{
        "authors":"BeamNG",
        "name":"Stage 3 Supercharger",
        "value":10200,
    },
    "slotType" : "fullsize_intake",
    "props": [
        ["func",            "mesh",                   "idRef:", "idX:", "idY:", "baseRotation",          "rotation",            "translation",         "min", "max", "offset", "multiplier"],
        ["rpmspin",             "fullsize_supercharger_pulley",      "e3l","e3r","e4l",     {"x":-90, "y":0, "z":0}, {"x":0, "y":1, "z":0}, {"x":0, "y":0, "z":0}, -360,  360,   0,        1],
    ],
    "supercharger": {
        "gearRatio":2.2,
        "clutchEngageRPM":0,
        "pressureRatePSI":250,
        "pressurePSIPer1kRPM":5.2,
        "crankLossPer1kRPM":0.027,
        "type":"roots",
        "whineLoopEvent": "event:>Vehicle>Forced_Induction>Supercharger_01>supercharger",
        "whineVolumePerPSI": 0.03,
        "whinePitchPer10kRPM": 0.70,
        "boostController":[
            //throttle in %, factor
            [0,     0.2],
            [100,     1],
        ],
    },
    "mainEngine": {
        //supercharger name
        "supercharger":"supercharger",
        "$*instantAfterFireCoef": 2.5,
        "$*sustainedAfterFireCoef": 2,
    },
    "soundConfig": {
        "$+maxLoadMix": 0.2,
        "$+intakeMuffling":-1,
        "$+mainGain":3,
        "$+offLoadGain":-0.05,
    },
    "vehicleController": {
        "revMatchThrottle":0.25,
    },
    "flexbodies": [
        ["mesh", "[group]:", "nonFlexMaterials"],
        ["fullsize_supercharger", ["fullsize_engine_intake"]],
        ["fullsize_supercharger_belts", ["fullsize_engine"]],
    ],
    "nodes": [
         ["id", "posX", "posY", "posZ"],
         {"selfCollision":false},
         {"collision":true},
         //--Supercharger
         {"frictionCoef":0.5},
         {"nodeMaterial":"|NM_METAL"},
         {"nodeWeight":4},
         {"group":["fullsize_engine","fullsize_engine_intake"]},
         ["sc1r", -0.12, -1.21, 0.88],
         ["sc1l",  0.12, -1.21, 0.88],
         ["sc2r", -0.12, -1.75, 0.88],
         ["sc2l",  0.12, -1.75, 0.88],
         {"group":["fullsize_engine_intake"]},
         {"nodeWeight":2},
         ["intake2", 0.51, -1.86, 0.80],
         {"engineGroup":""},
         {"group":""},
    ],
    "beams": [
          ["id1:", "id2:"],
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
          //--Supercharger
          {"beamSpring":5001000,"beamDamp":250},
          {"beamDeform":150000,"beamStrength":"FLT_MAX"},
          ["sc1l", "sc1r"],
          ["sc2l", "sc2r"],
          ["sc1r", "sc2r"],
          ["sc1l", "sc2l"],
          ["sc1r", "sc2l"],
          ["sc1l", "sc2r"],
          ["sc2l", "e4l"],
          ["sc1l", "e3l"],
          ["sc1r", "e3r"],
          ["sc2r", "e4r"],
          ["sc2l", "e3l"],
          ["sc1l", "e4l"],
          ["sc2r", "e3r"],
          ["sc1r", "e4r"],
          ["sc2r", "e4l"],
          ["sc2l", "e4r"],
          ["sc1r", "e3l"],
          ["sc1l", "e3r"],

          ["sc1l", "e1l"],
          ["sc1r", "e1r"],
          ["sc2r", "e2r"],
          ["sc2l", "e2l"],

          {"beamSpring":101000,"beamDamp":500},
          {"beamDeform":2500,"beamStrength":"FLT_MAX"},
          ["intake2", "e3l"],
          ["intake2", "e4r"],
          ["intake2", "sc1l"],
          ["intake2", "sc2l"],

          //mesh break beams
          {"beamPrecompression":0.85, "beamType":"|SUPPORT","beamLongBound":0.7},
          {"beamSpring":20000,"beamDamp":0},
          {"beamDeform":500,"beamStrength":1000},
          ["intake2", "e4l"],
          ["intake2", "e4r"],
          ["intake2", "e3l"],
          {"deformGroup":""},
          {"beamPrecompression":1, "beamType":"|NORMAL", "beamLongBound":1.0, "beamShortBound":1.0},
    ],
    "triangles": [
            ["id1:","id2:","id3:"],
            {"groundModel":"metal"},
            {"dragCoef":0},
            ["sc2r", "sc2l", "sc1l"],
            ["sc1l", "sc1r", "sc2r"],
    ],
},
},
}